Subject: Re: [RFC] [PATCH 0/3] Add Regulatory Domain support to d80211

From: David Kimdon <[email-masked]>
Date: Tue, 24 Oct 2006 07:02:12 -0700

Hi,

> The following patches extend 802.11 regulatory domain support of the
> d80211 wireless stack through two modules:
> 
> 1. ieee80211_regdomains
> 2. iso3166-1

I am glad to see this work, this is something that we need a solution
for.  I do wonder if we can push most of this out of the kernel and
into userspace.  We could hard code a single set of constraints in the
kernel which may be used world wide (802.11b channels 1-11, is that
allowed everywhere?).  Then we have a userspace tool which passes
updated regulatory information into the kernel based on the user's
country input.

-David